Integration of Unity 2.1?

Topics: Building and extending application blocks, Enterprise Library Core
Mar 28, 2012 at 12:02 PM

I want to update my custom Enterprise Library Package with the latest sources and components (Optional Update 1, Unity 2.1 etc). Since I have my own Strong Name Key and I compile the Enterprise Library Sources by myself, there's no problem with updating the installation package and deploying it. I keep my Assemblyversion the same and only change the file version.

Since Unity 2.0 was provided as binary in my package, I also want to provide Unity 2.1 as binary files. I also copy the assemblies in gac since this is an enterprise policy. Regarding Unity 2.1 the Assemblyversion has been changed so products on production servers that alsready use it will complain about the missing Assembly with the Version 2.0. What is the best way to solve this problem?

Is there a publisher policy file for unity so I can deploy it?
Or do I have to provide the 2.0 version and also the new 2.1 version( this sounds not good to me).

Thx for your help

Marius